/*---------------------------------------------------------------------------*/
/** @file channel.h

 @version 1.0
*/
#ifndef CHANNEL_H
#define CHANNEL_H

#ifdef __COUNTER_BUTTON__

	#include "counter.h"

	class Channel {
	private:
		Counter* _counter;
		const char* _channel;
	public:
		Channel(void) {_counter=NULL;}
		void		setCounter(Counter* counter) {_counter = counter;}
		count_t*	getData(void) {if(_counter) return _counter->getData();
									 else return NULL;}
		void		setChannel(const char* channel) {_channel=channel;}
		const char*	getChannel(void) {return _channel;}
		int			setLevel(double level, int dialog) {if(_counter) return _counter->setLevel(level,dialog);
											 else return FAIL;}
		double		getLevel(void) {if(_counter) return _counter->getLevel();
									 else return 0;}
		double		getWorkLevel(void) {if(_counter) return _counter->getWorkLevel();	//dolzhen byt' (iz device.cfg)
									 else return 0;}
		double		getNonPoisson(void) {if(_counter) return _counter->getNonPoisson();
									 else return 0;}
		double		getNonLinearity(void) {if(_counter) return _counter->getNonLinearity();
									 else return 0;}

		bool		expandData(void) {if(_counter) return _counter->expandData();
									 else return FALSE;}
		int			setOutNumber(int number) {if(_counter) return _counter->setOutNumber(number);
									 else return FAIL;}
		int			repairData(void) {if(_counter) return _counter->repairData();
									 else return 0;}
	};
#else

	#include "bicounter.h"

	class Channel {
	private:
		Bicounter*	_bicounter;
		char		_counter;
		const char*	_channel;
	public:
		Channel(void) {_bicounter=NULL;}
		void		setCounter(Bicounter* bicounter, char counter) {
								_bicounter = bicounter;
								_counter = counter;}
		char		getCounter(void) {return _counter;}
		count_t*	getData(void) {if(_bicounter) return _bicounter->getData(_counter);
									else return NULL;}
		void		setChannel(const char* channel) {_channel=channel;}
		const char*	getChannel(void) {return _channel;}
		int			setLevel(double level, int dialog) {if(_bicounter) return _bicounter->setLevel(level,_counter,dialog);
									else return FAIL;}
		double		getLevel(void) {if(_bicounter) return _bicounter->getLevel(_counter); // stoit
									else return 0;}

		double		getWorkLevel(void) {if(_bicounter) return _bicounter->getWorkLevel(_counter);	//dolzhen byt' (iz device.cfg)
									else return 0;}
		double		getNonPoisson(void) {if(_bicounter) return _bicounter->getNonPoisson(_counter);
									else return 0;}
		double		getNonLinearity(void) {if(_bicounter) return _bicounter->getNonLinearity(_counter);
									else return 0;}

		bool		expandData(void) {if(_bicounter) return _bicounter->expandData();
									else return FALSE;}
		int			setOutNumber(int number) {if(_bicounter) return _bicounter->setOutNumber(number,_counter);
									else return FAIL;}
		int			repairData(void) {if(_bicounter) return _bicounter->repairData(_counter);
									else return 0;}
	};
#endif

#endif
