#ifndef DATATHR_H
#define DATATHR_H

#include <stdio.h>
#ifdef __COUNTER_BUTTON__
	#include "counter.h"
#else
	#include "bicounter.h"
#endif

namespace datathr {
	void	init();
	void	setSrvFile(FILE* f);
	void	setBlockNumber(int number);
	int		getBlockNumber(void);
	int		getNblock(void);
#ifdef __COUNTER_BUTTON__
	void	setNcounters(int number);
	void	setCounters(Counter** p_counters);
#else
	void	setNbicounters(int number);
	void	setBicounters(Bicounter** p_bicounters);
#endif
	int		setBlockSize(int size);
	int		getNreadData(void);
	void	startCounting(void);
	void	setTimeout(bool tmout);
	bool	isTimeout(void);
	void	setCycleCondition(bool condition);
	bool	getCycleCondition(void);
	void	quitDataCycle(void);
	void	timeoutAction(void);
	void	read_data(void);
	void	putData(void);
	void	waitData(void);
}

#endif
