/*--------------------------------------------------------------------------*/
/** @file decldevicetree.h
@brief  The "body" of tree from devicetree.h module: the list of CFG parameters
itself.


 @author O. Voziakova, Sternberg Institute (ovoz@sai.msu.ru)
 
 @version 1.0
*/
CFGTree
	tree;

CFGLeaf
	leaf_blocksize,
	leaf_wtime,

	leaf_set_lev,
	leaf_get_lev,
	leaf_set_exp,
	leaf_get_exp,
	leaf_set_numb,
	leaf_get_numb,
	leaf_get_stat_count,
	leaf_set_blsize,
	leaf_get_blsize,
	leaf_set_induc,
	leaf_get_induc,
	leaf_get_data,
	leaf_get_ident_count,
	leaf_get_crc_count,
	leaf_get_const_count,
	leaf_run_mst,
	leaf_stop,
	leaf_master_on,
	leaf_master_off,
	leaf_run_test,
	leaf_reset_count,
	leaf_active_on,
	leaf_active_off,
	leaf_induce_on,
	leaf_induce_off,
	leaf_shorter,
	leaf_longer,
	leaf_mod_1,
	leaf_pmt_1,
	leaf_ident_1,
	leaf_discr_1,
	leaf_nlin_1,
	leaf_npois_1,

	leaf_mod_2,
	leaf_pmt_2,
	leaf_ident_2,
	leaf_discr_2,
	leaf_nlin_2,
	leaf_npois_2,

	leaf_mod_3,
	leaf_pmt_3,
	leaf_ident_3,
	leaf_discr_3,
	leaf_nlin_3,
	leaf_npois_3,

	leaf_mod_4,
	leaf_pmt_4,
	leaf_ident_4,
	leaf_discr_4,
	leaf_nlin_4,
	leaf_npois_4,

	leaf_mod_5,
	leaf_pmt_5,
	leaf_discr_5,
	leaf_nlin_5,
	leaf_npois_5,

	leaf_ident_5,

	leaf_set_volt,
	leaf_get_volt,
	leaf_get_stat_hv,
	leaf_get_crc_hv,
	leaf_high_on,
	leaf_high_off,
	leaf_get_temper,
	leaf_saf_on,
	leaf_saf_off,
	leaf_get_ident_hv,
	leaf_get_const_hv,
	leaf_reset_hv,
	leaf_mod_hv,
	leaf_ident_hv,

	leaf_set_illum,
	leaf_get_illum,
	leaf_set_light,
	leaf_get_light,
	leaf_get_stat_light,
	leaf_set_vampl,
	leaf_get_vampl,
	leaf_get_par,
	leaf_set_par,
	leaf_l_get_crc,
	leaf_set_bmode,
	leaf_get_bmode,
	leaf_illum_on,
	leaf_illum_off,
	leaf_light_on,
	leaf_light_off,
	leaf_vary_on,
	leaf_vary_off,
	leaf_butt_lock,
	leaf_butt_unlock,
	leaf_get_ident_light,
	leaf_get_const_light,
	leaf_reset_light,

	leaf_mod_light,
	leaf_ident_light,

	leaf_b_ap,
	leaf_b_ill,
	leaf_b_shft,
	leaf_b_door,

	leaf_motor_get_stat,
	leaf_motor_get_sens,
	leaf_motor_get_crc,
	leaf_motor_get_pos,
	leaf_motor_move,
	leaf_motor_sh,
	leaf_motor_sync,
	leaf_motor_stop,
	leaf_motor_load_stop,
	leaf_motor_get_stop,
	leaf_motor_set_ap,
	leaf_motor_get_ap,
	leaf_motor_set_step,
	leaf_motor_get_step,
	leaf_motor_test_mov,
	leaf_motor_null,
	leaf_motor_open_cov,
	leaf_motor_close_cov,
	leaf_motor_power,
	leaf_get_ident_motor,
	leaf_get_const_motor,
	leaf_reset_motor,
	leaf_mod_motor,
	leaf_ident_motor,

	leaf_track_get_stat,
	leaf_track_get_crc,
	leaf_track_shift_ra,
	leaf_track_shift_dec,
	leaf_track_move_ra,
	leaf_track_move_dec,
	leaf_track_force,
	leaf_track_stop,
	leaf_track_test_mov,
	leaf_track_get_ident,
	leaf_track_get_const,
	leaf_track_reset,
	leaf_track_mod,
	leaf_track_ident,
	leaf_track_control_base,

	leaf_inner_a,
	leaf_outer_a,

	leaf_inner_b,
	leaf_outer_b,

	leaf_inner_c,
	leaf_outer_c,

	leaf_inner_d,
	leaf_outer_d,

	leaf_centr_s,
	leaf_center_angl,
	leaf_scale,
	leaf_magn,

	leaf_flen_fabry,
	leaf_pos_fabry,

	leaf_flen_feed,
	leaf_entrloc,

	leaf_min_alt,
	leaf_max_alt,
	leaf_step,
	leaf_min_step;

CFGBranch

branch_count,
	branch_command,
	branch_common,

	branch_count_1,
	branch_count_2,
	branch_count_3,
	branch_count_4,
	branch_count_5,
	branch_hv,
		branch_hv_command,
		branch_hv_common,
	branch_light,
		branch_l_command,
		branch_l_common,
		branch_butmod,
	branch_motor,
		branch_m_command,
		branch_m_common,
	branch_track,
		branch_t_command,
		branch_t_common,
branch_segm,
	branch_a_opt,
	branch_b_opt,
	branch_c_opt,
	branch_d_opt,
branch_optic,
	branch_common_opt,
		branch_fabry,
		branch_feed,
branch_weight;

Link

link_count,
	link_command,
		link_set_lev,
		link_get_lev,
		link_set_exp,
		link_get_exp,
		link_set_numb,
		link_get_numb,
		link_get_stat_count,
		link_set_blsize,
		link_get_blsize,
		link_set_induc,
		link_get_induc,
		link_get_data,
		link_get_ident_count,
		link_get_crc_count,
		link_get_const_count,
		link_run_mst,
		link_stop,
		link_master_on,
		link_master_off,
		link_run_test,
		link_reset_count,
		link_active_on,
		link_active_off,
		link_induce_on,
		link_induce_off,
		link_shorter,
		link_longer,
	link_common,
		link_blocksize,
		link_wtime,

	link_count_1,
		link_mod_1,
		link_pmt_1,
		link_ident_1,
		link_discr_1,
		link_nlin_1,
		link_npois_1,

	link_count_2,
		link_mod_2,
		link_pmt_2,
		link_ident_2,
		link_discr_2,
		link_nlin_2,
		link_npois_2,

	link_count_3,
		link_mod_3,
		link_pmt_3,
		link_ident_3,
		link_discr_3,
		link_nlin_3,
		link_npois_3,

	link_count_4,
		link_mod_4,
		link_pmt_4,
		link_ident_4,
		link_discr_4,
		link_nlin_4,
		link_npois_4,

	link_count_5,
		link_mod_5,
		link_pmt_5,
		link_ident_5,
		link_discr_5,
		link_nlin_5,
		link_npois_5,

link_hv,
	link_hv_command,
		link_set_volt,
		link_get_volt,
		link_get_stat_hv,
		link_get_crc_hv,
		link_high_on,
		link_high_off,
		link_get_temper,
		link_saf_on,
		link_saf_off,
		link_get_ident_hv,
		link_get_const_hv,
		link_reset_hv,
	link_hv_common,
		link_module_hv,
		link_ident_hv,
link_light,
	link_l_command,
		link_set_illum,
		link_get_illum,
		link_set_light,
		link_get_light,
		link_get_stat_light,
		link_set_vampl,
		link_get_vampl,
		link_get_par,
		link_set_par,
		link_l_get_crc,

		link_set_bmode,
		link_get_bmode,
		link_illum_on,
		link_illum_off,
		link_light_on,
		link_light_off,
		link_vary_on,
		link_vary_off,
		link_butt_lock,
		link_butt_unlock,
		link_get_ident_light,
		link_get_const_light,
		link_reset_light,
	link_l_common,
		link_module_light,
		link_ident_light,
	link_butmod,
		link_b_ap,
		link_b_ill,
		link_b_shft,
		link_b_door,
link_motor,
	link_m_command,
		link_motor_get_stat,
		link_motor_get_sens,
		link_motor_get_crc,
		link_motor_get_pos,
		link_motor_move,
		link_motor_sh,
		link_motor_sync,
		link_motor_stop,
		link_motor_load_stop,
		link_motor_get_stop,
		link_motor_set_ap,
		link_motor_get_ap,
		link_motor_set_step,
		link_motor_get_step,
		link_motor_test_mov,
		link_motor_null,
		link_motor_open_cov,
		link_motor_close_cov,
		link_motor_power,

		link_get_ident_motor,
		link_get_const_motor,
		link_reset_motor,
	link_m_common,
		link_module_motor,
		link_ident_motor,
link_track,
	link_t_command,
		link_track_get_stat,
		link_track_get_crc,
		link_track_shift_ra,
		link_track_shift_dec,
		link_track_move_ra,
		link_track_move_dec,
		link_track_force,
		link_track_stop,
		link_track_test_mov,
		link_track_get_ident,
		link_track_get_const,
		link_track_reset,
	link_t_common,
		link_track_mod,
		link_track_ident,
		link_track_control_base,

link_segm,
	link_a_segm,
		link_inner_a,
		link_outer_a,
	link_b_segm,
		link_inner_b,
		link_outer_b,
	link_c_segm,
		link_inner_c,
		link_outer_c,
	link_d_segm,
		link_inner_d,
		link_outer_d,
link_optic,
	link_common_opt,
		link_centr_s,
		link_center_angl,
		link_scale,
		link_magn,
	link_fabry,
		link_flen_fabry,
		link_pos_fabry,
	link_feed,
		link_flen_feed,
		link_entrloc_feed,
link_weight,
	link_min_alt,
	link_max_alt,
	link_step,
	link_min_step;
