/*--------------------------------------------------------------------------*/
/** @file declmaintree.h
@brief  The "body" of tree from maintree.h module: the list of CFG parameters 
itself.


 @author O. Voziakova, Sternberg Institute (ovoz@sai.msu.ru)
 
 @version 1.0
*/
CFGTree
	tree;
CFGLeaf
	leaf_pref_txtwin_geom,
	leaf_pref_txtfont_large,
	leaf_pref_txtfont_small,

	leaf_pref_graphwin_geom,
	leaf_pref_graphfont,
	leaf_pref_graphbackgr,
	leaf_pref_axes,
	leaf_pref_point,

	leaf_p_ver,
	leaf_p_date,
	leaf_p_modif,

	leaf_c_ver,
	leaf_c_date,
	leaf_c_modif,

	leaf_site_name,
	leaf_long,
	leaf_lat,
	leaf_tmZone,
	leaf_alt,
	leaf_loc,
	leaf_lev,

	leaf_star,
	leaf_spec,
	leaf_resp,
	leaf_weight,
	leaf_lut,
	leaf_pb,

	leaf_tempdir,
	leaf_raw,
	leaf_log,

	leaf_map_a,
	leaf_discr_a,

	leaf_map_b,
	leaf_discr_b,

	leaf_map_c,
	leaf_discr_c,

	leaf_map_d,
	leaf_discr_d,

	leaf_stop1,
	leaf_stop2,
	leaf_stop3,
	leaf_stop4,
	leaf_stop5,
	leaf_stop6,
	leaf_stop7,
	leaf_stop8,

	leaf_with_device,
	leaf_with_guide,
	leaf_hv,
	leaf_illum,
	leaf_but_tm,
	leaf_tmpr_tm,
	leaf_hv_tm,
	leaf_sv_tm,
	leaf_estim_tm,
	leaf_sci_count_save,
	leaf_tech_count_save,
	leaf_log_save,

	leaf_init_dr,
	leaf_init_aper,
	leaf_init_ill,
	leaf_init_but,
	leaf_init_butmod,
	leaf_init_hv,
	leaf_saf,
	leaf_init_scen,
	leaf_play_init_scen,

	leaf_with_app_show,
	leaf_coord,

	leaf_with_app,
	leaf_exp,
	leaf_btime,
	leaf_acctime,
	leaf_method,

	leaf_g_with_app,
	leaf_with_sec,
	leaf_exp_gen,
	leaf_btime_gen,
	leaf_acctime_gen,
	leaf_sec_tm,
	leaf_method_gen,

	leaf_foc_with_app,
	leaf_foc_acctime,
	leaf_foc_exp,
	leaf_foc_start,
	leaf_foc_fin,
	leaf_foc_def,
	leaf_foc_sharp0,
	leaf_foc_scale,

	leaf_cen_with_app,
	leaf_cen_acctime,
	leaf_cen_acctime1,
	leaf_cen_exp,
	leaf_cen_start,
	leaf_cen_fin,
	leaf_cen_work,
	leaf_cen_centr,
	leaf_cen_iter,
	leaf_cen_deltx,
	leaf_cen_delty,
	leaf_pos_ang,
	leaf_mirror,
	leaf_speedRA,
	leaf_speedDec,

	leaf_bac_meth,
	leaf_bac_with_app,
	leaf_bac_start,
	leaf_bac_fin,
	leaf_bac_cora,
	leaf_bac_acctime,
	leaf_bac_a,

	leaf_dc_with_ap,
	leaf_dc_hv,
	leaf_dc_disc,
	leaf_dc_light,
	leaf_dc_acctm,

	leaf_ds_with_ap,
	leaf_ds_light,
	leaf_ds_acctm,

	leaf_park_with_ap,
	leaf_park_dr,
	leaf_park_ill,
	leaf_park_but,
	leaf_park_hv,

	leaf_nlin_a,
	leaf_npois_a,

	leaf_nlin_b,
	leaf_npois_b,

	leaf_nlin_c,
	leaf_npois_c,

	leaf_nlin_d,
	leaf_npois_d,

	leaf_test_with_ap,
	leaf_test_tm_exch,
	leaf_test_tm_det,
	leaf_test_light,
	leaf_test_a,
	leaf_test_tol,
	leaf_test_tol_pois,
	leaf_t_light,
	leaf_t_ampl,

	leaf_scen_1,
	leaf_scen_2,	
	leaf_stop_scen,

	leaf_scan_ent,
	leaf_scan_show,
	leaf_scan_color,
	leaf_scan_size,
	leaf_scan_ref,
	leaf_scan_refval,

	leaf_flx_ent,
	leaf_flx_show,
	leaf_flx_color,
	leaf_flx_size,
	leaf_flx_ref,
	leaf_flx_refval,

	leaf_ind_ent,
	leaf_ind_show,
	leaf_ind_color,
	leaf_ind_size,
	leaf_ind_ref,
	leaf_ind_refval,

	leaf_desi_ent,
	leaf_desi_show,
	leaf_desi_color,
	leaf_desi_size,
	leaf_desi_ref,
	leaf_desi_refval,

	leaf_int_ent,
	leaf_int_show,
	leaf_int_color,
	leaf_int_size,
	leaf_int_ref,
	leaf_int_refval,

	leaf_prf_show,
	leaf_prf_type,
	leaf_prf_color,
	leaf_prf_lut,
	leaf_prf_size,
	leaf_prf_ref,
	leaf_prf_scale,
	leaf_prf_refval;


CFGBranch
	branch_pref,
		branch_pref_txt,
		branch_pref_graph,
	branch_general,
		branch_p_ver,
		branch_c_ver,
		branch_site,
		branch_inp,
		branch_out,
	branch_dev,
		branch_counters,
		branch_aper,

	branch_oper,
		branch_common_oper,
		branch_init,
		branch_show_star,
		branch_norm,
		branch_gener,
		branch_focus,
		branch_center,
		branch_backgr,
		branch_det_count,
		branch_det_stat,
		branch_test,
		branch_park,
		branch_scen,

	branch_disp,
		branch_scan,
		branch_flx,
		branch_ind,
		branch_desi,
		branch_int,
		branch_prf;

Link
	link_pref,
		link_pref_txt,
			link_pref_txtwin_geom,
			link_pref_txtfont_large,
			link_pref_txtfont_small,
		link_pref_graph,
			link_pref_graphwin_geom,
			link_pref_graphfont,
			link_pref_axes,
			link_pref_graphbackgr,
			link_pref_point,
	link_general,
		link_p_ver,
			link_leaf_p_ver,
			link_p_date,
			link_p_modif,

		link_c_ver,
			link_leaf_c_ver,
			link_c_date,
			link_c_modif,

		link_site,
			link_site_name,
			link_long,
			link_lat,
			link_tmZone,
			link_alt,
			link_loc,
			link_lev,
		link_inp,
			link_star,
			link_spec,
			link_resp,
			link_weight,
			link_lut,
			link_pb,
		link_out,
			link_tempdir,
			link_raw,
			link_log,
	link_dev,

		link_counters,
			link_map_a,
			link_map_b,
			link_map_c,
			link_map_d,
		link_aper,
			link_stop1,
			link_stop2,
			link_stop3,
			link_stop4,
			link_stop5,
			link_stop6,
			link_stop7,
			link_stop8,
	link_oper,
		link_common_oper,
			link_with_device,
			link_with_guide,
			link_hv,
			link_illum,
			link_but_tm,
			link_tmpr_tm,
			link_hv_tm,
			link_sv_tm,
			link_estim_tm,
			link_sci_count_save,
			link_tech_count_save,
			link_log_save,
		link_init,
			link_init_dr,
		        link_init_aper,
		        link_init_ill,
		        link_init_but,
		        link_init_butmod,
		        link_init_hv,
		        link_saf,
			link_init_scen,
			link_play_init_scen,
		link_show_star,
			link_with_app_show,
			link_coord,
		link_norm,
			link_with_app,
			link_exp,
			link_btime,
			link_acctime,
			link_method,
		link_gener,
			link_g_with_app,
			link_with_sec,
			link_exp_gen,
			link_btime_gen,
			link_acctime_gen,
			link_sec_tm,
			link_method_gen,
		link_focus,
			link_foc_with_app,
			link_foc_acctime,
			link_foc_exp,
			link_foc_start,
			link_foc_fin,
			link_foc_def,
			link_foc_sharp0,
			link_foc_scale,
		link_center,
			link_cen_with_app,
			link_cen_acctime,
			link_cen_acctime1,
			link_cen_exp,
			link_cen_start,
			link_cen_fin,
			link_cen_work,
			link_cen_centr,
			link_cen_iter,
			link_cen_deltx,
			link_cen_delty,
			link_pos_ang,
			link_mirror,
			link_speedRA,
			link_speedDec,
		link_backgr,
			link_bac_meth,
			link_bac_with_app,
			link_bac_start,
			link_bac_fin,
			link_bac_cora,
			link_bac_corb,
			link_bac_corc,
			link_bac_cord,
			link_bac_acctime,
			link_bac_a,
			link_bac_b,
			link_bac_c,
			link_bac_d,
		link_det_count,
			link_dc_with_ap,
			link_dc_hv,
			link_dc_disc,
			link_dc_light,
			link_dc_acctm,
		link_det_stat,
			link_ds_with_ap,
			link_ds_light,
			link_ds_acctm,
		link_test,
			link_test_with_ap,
			link_test_tm_exch,
			link_test_tm_det,
			link_test_light,
			link_test_a,
			link_test_b,
			link_test_c,
			link_test_d,
			link_test_tol,
			link_test_tol_pois,
			link_t_light,
			link_t_ampl,
		link_park,
			link_park_with_ap,
			link_park_dr,
			link_park_ill,
			link_park_but,
			link_park_hv,
		link_scen,
			link_scen_1,
			link_scen_2,
			link_stop_scen,
	link_disp,
		link_scan,
			link_scan_ent,
			link_scan_show,
			link_scan_color,
			link_scan_size,
			link_scan_ref,
			link_scan_refval,
		link_flx,
			link_flx_ent,
			link_flx_show,
			link_flx_color,
			link_flx_size,
			link_flx_ref,
			link_flx_refval,
		link_ind,
			link_ind_ent,
			link_ind_show,
			link_ind_color,
			link_ind_size,
			link_ind_ref,
			link_ind_refval,
		link_desi,
			link_desi_ent,
			link_desi_show,
			link_desi_color,
			link_desi_size,
			link_desi_ref,
			link_desi_refval,
		link_int,
			link_int_ent,
			link_int_show,
			link_int_color,
			link_int_size,
			link_int_ref,
			link_int_refval,
		link_prf,
			link_prf_show,
			link_prf_type,
			link_prf_color,
			link_prf_lut,
			link_prf_size,
			link_prf_ref,
			link_prf_scale,
			link_prf_refval;
