#define QT_THREAD_SUPPORT
#include <stdio.h>
#include <qthread.h>
#include <qmessagebox.h>
#include "messages.h"
#include "trberror.h"
#include "trbexport.h"

extern QMutex infoExportMutex;

void showMessage(const QString& text, int ms) {
	infoExportMutex.lock();
	InfoExport::message = text;
	InfoExport::ms = ms;
	InfoExport::isMessage = true;
	infoExportMutex.unlock();
}

int showWarning(const QString& str,
			int nbuttons,			// nbuttons = 1, 2 or 3
			const char* ignore,
			const char* retry,
			const char* abort) {

	if(!trberr::dialog()) {
		trberr::setMessage(str);
		trberr::setCode(TRB_ABORT);
		return(QMessageBox::Ignore);
	}
	int button0 = QMessageBox::Ignore
			| QMessageBox::Default | QMessageBox::Escape;
	int button1 = 0;
	int button2 = 0;
	if(nbuttons > 2) {
		button1 = QMessageBox::Retry;
		button2 = QMessageBox::Abort;
	}
	else if(nbuttons > 1) button1 = QMessageBox::Abort;

	QMessageBox mb("Warning",str,
		QMessageBox::Warning,
		button0, button1, button2);

	mb.setButtonText(QMessageBox::Ignore, ignore);
	mb.setButtonText(QMessageBox::Retry, retry);
	mb.setButtonText(QMessageBox::Abort, abort);
	mb.setPalette(QPalette(WARNING_BUTTON_COLOR, WARNING_BACK_COLOR));
	return(mb.exec());
}

int showStrongMessage(const QString& str, const char* ok) {

	if(!trberr::dialog()) {
		trberr::setMessage(str);
		trberr::setCode(TRB_ABORT);
		return(QMessageBox::Ignore);
	}
	QMessageBox mb("Warning",str,
		QMessageBox::Warning,
		QMessageBox::Ok | QMessageBox::Default | QMessageBox::Escape,
			0,0);
	mb.setButtonText(QMessageBox::Ok, ok);
	mb.setPalette(QPalette(WARNING_BUTTON_COLOR, WARNING_BACK_COLOR));
	return(mb.exec());
}

void showFatalError(const QString& str) {
// Chtoby ostalos' na ecrane posle vykhoda iz programmy
	printf("Fatal: %s...\n",str.data());
	if(!trberr::dialog()) {
		trberr::setMessage(str);
		trberr::setCode(TRB_EXIT);
//		return;
	} else {
		QMessageBox mb("Error",str,
			QMessageBox::Critical,
			QMessageBox::Abort,0,0);
		mb.setButtonText(QMessageBox::Abort, "Exit");
		mb.setPalette(QPalette(WARNING_BUTTON_COLOR, WARNING_BACK_COLOR));
		mb.exec();
	}
	trberr::setCode(TRB_EXIT);
	StateExport::setQuitProgram();
	if(!StateExport::isApplicationReady()) exit(1);
}
