#ifndef SCENARIOTHR_H
#define SCENARIOTHR_H

#include "device.h"
#include "trbscenario.h"

namespace scenariothr {
	int scenario_cycle(void);
	void setCycleCondition(bool condition);
	bool getCycleCondition(void);
	void quitScenarioCycle(void);

	void playScenario(void);
	void startMode(trbscenario::mode which);
	void playBack(const char* fileName);
	void exchangeTest(void);
	void detectorTest(void);
	void statisticTest(void);
	void detectorStatisticMeasurement(void);
	void detectorCountingMeasurement(void);
	void focusControl(void);
	void centerControl(void);
	void normal(void);
	void generalized(void);
	void backgroundCorrection(matrix43* p_matrix);
	void backgroundMeasurement(void);
	void backgroundMeasurement(void);
	void fluxEstimation(void);
	void centerCorrection(PointDouble* p_point);
	void trackCalibration(PointDouble* p_point);
	void centering(PointDouble* p_point);
	
	void setPause(bool isPause);
	void playInitialScenario(void);
}

#endif
