#include "trbthread.h"
#include "datathr.h"
#include "trbsocket.h"
#include "scenariothr.h"
#include "trbsv.h"
#include "tools.h"

DataThread::~DataThread(void) {
	jdebug("Destructor of DataThread");
}

CountThread::~CountThread(void) {
	jdebug("Destructor of CountThread");
}

SocketThread::~SocketThread(void) {
	jdebug("Destructor of SocketThread");
}

SuperVisorThread::~SuperVisorThread(void) {
	jdebug("Destructor of SuperVisorThread");
}

void DataThread::run() { 
	jdebug("start DataThread");
	datathr::read_data();
	jdebug("exit DataThread");
}

void CountThread::run(void) {
	jdebug("start CountThread");
	scenariothr::scenario_cycle();	// count_cycle
	jdebug("exit CountThread");
}

void SocketThread::run(void) {
	jdebug("start socketThread");
	trbsocket::socket_cycle();
	jdebug("exit socketThread");
}

void SuperVisorThread::run(void) {
	jdebug("start svThread");
	trbsv::sv_cycle();
	jdebug("exit svThread");
}

namespace trbthread {
	DataThread* dataThread = NULL;
	CountThread* countThread = NULL;
	SocketThread* socketThread = NULL;
	SuperVisorThread* svThread = NULL;
};

void trbthread::create(void) {
	jdebug("trbthread::create");
	dataThread = new DataThread();
	countThread = new CountThread();
	socketThread = new SocketThread();
	svThread = new SuperVisorThread();
	trbsv::loadConst(true);
	trbsocket::loadConst(true);
//	jdebug("end of trbthread::create");
}

void trbthread::destruct(void) {
	jdebug("trbthread::destruct");

	if(dataThread) {
		delete dataThread;
		dataThread = NULL;
	}
	if(countThread) {
		delete countThread;
		countThread = NULL;
	}
	if(socketThread) {
		delete socketThread;
		socketThread = NULL;
	}
	if(svThread) {
		delete svThread;
		svThread = NULL;
	}
	jdebug("end of trbthread::destruct");
}

void trbthread::start(void) {
	datathr::init();
	trbsocket::init();
	if(dataThread) dataThread->start();
	if(countThread) countThread->start();
	if(socketThread) socketThread->start();
	if(svThread) svThread->start();
}

void trbthread::stop(void) {
	jdebug("trbthread::quitDataCycle");
	datathr::quitDataCycle();
	jdebug("trbthread::dataThread->wait()");
	if(dataThread) dataThread->wait();

	jdebug("trbthread::quitSocketCycle");
	trbsocket::quitSocketCycle();
	jdebug("trbthread::socketThread->wait()");
	if(socketThread) socketThread->wait();

	jdebug("trbthread::quit_count_cycle");
	scenariothr::quitScenarioCycle();
	jdebug("trbthread::countThread->wait()");
	if(countThread) countThread->wait();

	jdebug("trbthread::quit_sv_cycle");
	trbsv::quitSVcycle();
	jdebug("trbthread::svThread->wait()");
	if(svThread) svThread->wait();
}
