/*--------------------------------------------------------------------------*/
/** @file trbtime.h
@brief	Support of date/time-related tasks. Implements namespace 
trb_tm and site stellar time, coordinates, UT etc.

                  MASS project: TURBINA module file
                  header file for trbtime.cpp
 @author O. Voziakova, Sternberg Institute (ovoz@sai.msu.ru)
 
 @version 1.0
*/
#ifndef TRBTIME_H
#define TRBTIME_H

//#define HOUR_DATE_CHANG		12 // local hour, smena daty

#include <qobject.h>
#include <qdatetime.h>

class ForSlot : public QObject {
	Q_OBJECT
public slots:
	void change( void);	
};

/*
class Time {
private:
	int _hour;	// m.b > 24
	int _minute;	// < 60
	int _second;	// < 60
	QDate _date;
private:
	long	allSec(void);
	void	setToValidInterval(long sec); 
	void	setToValidInterval(double sec); 

public:
	Time(QTime t) { _hour = t.hour();
			_minute = t.minute();
			_second = t.second(); }
	Time(int h, int m, int s) {_hour=h;_minute=m;_second=s;}
	Time(double sec) {setToValidInterval(sec);}
	Time(long sec) {setToValidInterval(sec);}
	Time(void) {_hour=0;_minute=0;_second=0;}
	~Time();
	void	setDate(QDate date);
	void	setHMS(int h, int m, int s) {_hour=h;_minute=m;_second=s;}
	void	setHour(int h) {_hour=h;}
	void	setMinute(int m) {_minute = m;}
	void	setSecond(int s) {_second = s;}
	void	addSecs(int s);
	int	hour(void) {return _hour;}
	int	minute(void) {return _minute;}
	int	second(void) {return _second;}
	QDate date(void) {return _date;}
	QString	toString(void);
	int	secsTo(Time& t);
};
*/

namespace trb_tm {
	void	enablePlayBack(bool isPB);
	bool	setPlayBackDateTime(int year, int month, int day,
								int h, int m, int s);
	bool	setPlayBackDateTime(QDateTime dateTime);
	bool	setProgramStartDateTime(int year, int month, int day,
											int y, int m, int d);
	bool	setProgramStartDateTime(QDateTime dateTime);
//	bool	setProgramStartTime(int h, int m, int s);
	QDateTime	programStartDateTime(void);
	long	longDate(QDate date);
	double	tmZone(void);
	double	sinLatitude(void);
	double	cosLatitude(void);
	void	loadConst(bool isFirst=true);
	QDateTime currentUTDateTime(void);
	double	toSec(QTime tm);
	double	toSec(int h,int m,int s);
	long	julian(QDate utDate);
	double	calcS0Time(QDate utDate);
	double	calcLocalST(void);
}

#endif
