/*--------------------------------------------------------------------------*/
/** @file viewstar.h
@brief  Shows the list of stars with help of GUI and lets user to choose the 
star from this list.

                  MASS project: TURBINA module file
                       header file for viewstar.cpp



 @author O. Voziakova, Sternberg Institute (ovoz@sai.msu.ru)
 
 @version 1.0
*/
#ifndef VIEWSTAR_H
#define VIEWSTAR_H

#include <qstring.h>
#include <qlistview.h>
#include <qarray.h>
#include "star.h"

class JKQListViewItem : public QListViewItem {
private:
	int id;

public:
	JKQListViewItem( int, QListView* parent,QString,QString=QString::null,
			QString=QString::null,QString=QString::null,
			QString=QString::null,QString=QString::null,
			QString=QString::null,QString=QString::null );

	~JKQListViewItem();
	int getId( void ) { return id; }
};

class ViewStarList : public QListView {
	Q_OBJECT
private:
	QArray<JKQListViewItem*>	items;
	int							_nItems;

public:
	ViewStarList( Star*, QWidget* parent=0 );
	~ViewStarList();
	void update( Star* );
	int		getCurrentStarNumber( void );
};

#endif
